FlushModeType (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.annotations
Enum FlushModeType

    java.lang.Object
      java.lang.Enum<FlushModeType>
          org.hibernate.annotations.FlushModeType

All Implemented Interfaces:
  Serializable, Comparable<FlushModeType>

    public enum FlushModeType

extends Enum<FlushModeType>

Enumeration extending javax.persistence flush modes.

Enum Constant Summary
`ALWAYS` see `FlushMode.ALWAYS`
`AUTO` see `FlushMode.AUTO`
`COMMIT` see `FlushMode.COMMIT`
`MANUAL` see `FlushMode.MANUAL`
`NEVER` Deprecated. use MANUAL, will be removed in a subsequent release
`PERSISTENCE_CONTEXT` Current flush mode of the persistence context at the time the query is executed

Method Summary
`static FlushModeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FlushModeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALWAYS

    public static final FlushModeType ALWAYS

  see `FlushMode.ALWAYS`

### AUTO

    public static final FlushModeType AUTO

  see `FlushMode.AUTO`

### COMMIT

    public static final FlushModeType COMMIT

  see `FlushMode.COMMIT`

### NEVER

    public static final FlushModeType NEVER

  Deprecated. use MANUAL, will be removed in a subsequent release
  see `FlushMode.NEVER`

### MANUAL

    public static final FlushModeType MANUAL

  see `FlushMode.MANUAL`

### PERSISTENCE_CONTEXT

    public static final FlushModeType PERSISTENCE_CONTEXT

  Current flush mode of the persistence context at the time the query is executed

Method Detail

### values

    public static FlushModeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FlushModeType c : FlushModeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FlushModeType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.